GET Player Info
https://auth.riotgames.com/userinfo Get the PUUID and other info from a token
Headers
-
Authorization: Bearer {auth token}
Other Variables
-
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PlayerInfoResponse = {
country: string;
/** Player UUID */
sub: string;
email_verified: boolean;
player_plocale?: unknown | null;
/** Milliseconds since epoch */
country_at: number | null;
pw: {
/** Milliseconds since epoch */
cng_at: number;
reset: boolean;
must_reset: boolean;
};
phone_number_verified: boolean;
account_verified: boolean;
ppid?: unknown | null;
federated_identity_providers: string[];
player_locale: string | null;
acct: {
type: number;
state: string;
adm: boolean;
game_name: string;
tag_line: string;
/** Milliseconds since epoch */
created_at: number;
};
age: number;
jti: string;
affinity: {
[x: string]: string;
};
}; {
"country": "South Georgia and the South Sandwich Islands",
"sub": "91338A1d-0FbB-56dD-0D58-22eDCEBEE3d6",
"email_verified": true,
"country_at": "+180618-02-01T12:22:56.346Z",
"pw": {
"cng_at": "+116845-03-15T05:00:34.049Z",
"reset": false,
"must_reset": true
},
"phone_number_verified": true,
"account_verified": false,
"federated_identity_providers": [
"caute",
"textilis",
"denuo",
"curriculum",
"tripudio"
],
"player_locale": "substantia",
"acct": {
"type": 5765893765913039,
"state": "New Mexico",
"adm": true,
"game_name": "vomito",
"tag_line": "sunt",
"created_at": "+218395-09-24T21:01:18.254Z"
},
"age": 2105211029930643,
"jti": "urbs",
"affinity": {
"vero": "volva"
}
}